#include <linux/types.h>
#include <linux/device.h>

int fpga_bus_probe(struct device *dev);
int fpga_bus_remove(struct device *dev);
void fpga_bus_register_devices(struct device *parent);
void fpga_bus_unregister_devices(struct device *parent);

int fpga_usr_probe(struct device *pdev);
int fpga_usr_remove(struct device *pdev);

void fpga_ic_sync_mask(void);
void update_rp3_alarm(u32 fault);
void update_refab_alarm(u32 fault);
